Notifications

Update one signed-in user notification preference

PATCH
/api/notification-preferences/{kind}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

kind*string
Value in"publication_published""publication_failed""publication_ambiguous"

Request Body

  1. body
inAppEnabled*boolean

Response Body

Response for status 200

application/json
  1. response
kind*string
Value in"publication_published""publication_failed""publication_ambiguous"
inAppEnabled*boolean
Example Request
curl -X PATCH 'https://postbot.example/api/notification-preferences/publication_published' \
  -H 'Content-Type: application/json' \
  -d '{
  "inAppEnabled": true
}'
Example Response
{
  "kind": "publication_published",
  "inAppEnabled": true
}

Was this page helpful?